<nav class="navigation">
  <div *ngFor="let link of links">
    <a
      [routerLink]="link.link"
      [ngClass]="{'active': cleanUrl(router.url) == link.link}"
      class="link toplink">
      {{link.name}}
    </a>

    <a
      *ngFor="let sublink of link.sublinks; let i = index"
      [routerLink]="sublink.link"
      [ngStyle]="{'--offset': i}"
      class="link sublink">
      {{sublink.name}}
    </a>
  </div>
</nav>

<app-shell>
  <ng-content></ng-content>
</app-shell>
